Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.configuration
Class SearchScreenOptions

    java.lang.Object
      com.sun.mdm.index.edm.services.configuration.SearchScreenOptions

All Implemented Interfaces:
  java.io.Serializable

public class SearchScreenOptions
extends java.lang.Object
implements java.io.Serializable

Search screen options configurations

See Also:
  Serialized Form

Constructor Summary
`SearchScreenOptions(java.lang.String displayName, java.lang.String queryBuilder, boolean isWeighted, int candidateThreshold, java.util.ArrayList nameValuePairs)` Creates a new instance of the SearchScreenOptions class

Method Summary
`int` | `getCandidateThreshold()` Getter for the mCandidateThreshold attribute
`java.lang.String` | `getDisplayName()` Getter for the mDisplayName attribute
`boolean` | `getIsWeighted()` Getter for the mIsWeighted attribute
`java.util.ArrayList` | `getNameValuePairs()` Getter for the mNameValuePairs attribute
`java.lang.String` | `getQueryBuilder()` Getter for the mQueryBuilder attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchScreenOptions

    public SearchScreenOptions(java.lang.String displayName,
                               java.lang.String queryBuilder,
                               boolean isWeighted,
                               int candidateThreshold,
                               java.util.ArrayList nameValuePairs)

  Creates a new instance of the SearchScreenOptions class

  Parameters:
    `displayName` - This is the name of the search screen options.
    `queryBuilder` - This is the name of the querybuilder object to be used.
    `isWeighted` - Indicates if search is a weighted search.
    `candidateThreshold` - This is the candidate threshold value.
    `nameValuePairs` - This is an ArrayList of NameValuePair objects that define the parameter name and corresponding value.

Method Detail

### getCandidateThreshold

    public int getCandidateThreshold()

  Getter for the mCandidateThreshold attribute

  Returns:
    Candidate threshold value.

### getDisplayName

    public java.lang.String getDisplayName()

  Getter for the mDisplayName attribute

  Returns:
    The display name for this screen option

### getIsWeighted

    public boolean getIsWeighted()

  Getter for the mIsWeighted attribute

  Returns:
    Boolean value indicating whether or not to display the search is weighted.

### getNameValuePairs

    public java.util.ArrayList getNameValuePairs()

  Getter for the mNameValuePairs attribute

  Returns:
    ArrayList of FieldConfig objects.

### getQueryBuilder

    public java.lang.String getQueryBuilder()

  Getter for the mQueryBuilder attribute

  Returns:
    The name of the QueryBuilder to use.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.